## pluma-encodings

pluma-encodings

## Functions

#define | PLUMA_TYPE_ENCODING
GType | pluma_encoding_get_type ()
PlumaEncoding * | pluma_encoding_copy ()
void | pluma_encoding_free ()
const PlumaEncoding * | pluma_encoding_get_from_charset ()
const PlumaEncoding * | pluma_encoding_get_from_index ()
gchar * | pluma_encoding_to_string ()
const gchar * | pluma_encoding_get_name ()
const gchar * | pluma_encoding_get_charset ()
const PlumaEncoding * | pluma_encoding_get_utf8 ()
const PlumaEncoding * | pluma_encoding_get_current ()

## Types and Values

| PlumaEncoding

## Object Hierarchy

        GBoxed
        ╰── PlumaEncoding

## Description

## Functions

### PLUMA_TYPE_ENCODING

    #define PLUMA_TYPE_ENCODING     (pluma_encoding_get_type ())

### pluma_encoding_get_type ()

    GType
    pluma_encoding_get_type (void);

Retrieves the GType object which is associated with the PlumaEncoding class.

#### Returns

the GType associated with PlumaEncoding.

### pluma_encoding_copy ()

    PlumaEncoding *
    pluma_encoding_copy (const PlumaEncoding *enc);

### pluma_encoding_free ()

    void
    pluma_encoding_free (PlumaEncoding *enc);

### pluma_encoding_get_from_charset ()

    const PlumaEncoding *
    pluma_encoding_get_from_charset (const gchar *charset);

### pluma_encoding_get_from_index ()

    const PlumaEncoding *
    pluma_encoding_get_from_index (gint index);

### pluma_encoding_to_string ()

    gchar *
    pluma_encoding_to_string (const PlumaEncoding *enc);

### pluma_encoding_get_name ()

    const gchar *
    pluma_encoding_get_name (const PlumaEncoding *enc);

### pluma_encoding_get_charset ()

    const gchar *
    pluma_encoding_get_charset (const PlumaEncoding *enc);

### pluma_encoding_get_utf8 ()

    const PlumaEncoding *
    pluma_encoding_get_utf8 (void);

### pluma_encoding_get_current ()

    const PlumaEncoding *
    pluma_encoding_get_current (void);

## Types and Values

### PlumaEncoding

    typedef struct _PlumaEncoding PlumaEncoding;